Subject: kOMyriophyllum
From: Kathy Burks <[email-masked]>
Date: 3 Aug 1994 18:06:24 +0100
Newsgroups: bionet.plants

Well, you can see how often I check for mail at this Ss address. Thanks
for the copies of discussion group comments and queries regarding
Myriophyllum spicatum.  Here in Florida we have considerable
experience with this species, to our chagrin (would rather it had not
invaded at all).  For super-duper info on micropropagation of
Myriophyllym species , send a message to Mike Kane at University of
Florida   [email-masked]
For info on in situ distribution and characters, in Florida, send me
anote [email-masked] (actually Fla. Dept. Eniv.
Protection, aquatic botanist.
Look forward to hearing from you again.  Say hello to Doreen Gee for
me. Thanks.e
--